## org.eclipse.datatools.connectivity.oda.design.ui.manifest
Class DataSetWizardInfo

    java.lang.Object
      org.eclipse.datatools.connectivity.oda.design.ui.manifest.DataSetWizardInfo

    public class DataSetWizardInfo

extends java.lang.Object

Represents the customizable behavior defined by an ODA UI Extension for its data set wizard that allows an user to create a new ODA data set design instance. It encapsulates the content of the dataSetWizard element defined in the ODA Design UI extension point.

Field Summary
`static java.lang.String` `CLASS_ATTRIBUTE`

Method Summary
`java.lang.String` `getClassName()` Returns the full class name of the data set wizard.
`java.lang.String` `getWindowTitle()` Returns the customized title of the data set wizard window.

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### CLASS_ATTRIBUTE

    public static final java.lang.String CLASS_ATTRIBUTE

See Also:
  Constant Field Values

Method Detail

### getClassName

    public java.lang.String getClassName()

  Returns the full class name of the data set wizard.
  The wizard class must either use or extend from the ODA framework's wizard base class. See plugin schema for details.

  Returns:
    the full class name of the data set wizard

### getWindowTitle

    public java.lang.String getWindowTitle()

  Returns the customized title of the data set wizard window.

  Returns:
    customized window title; may be null, if none is specified

Copyright © 2006 -- 2008 Actuate, IBM Corporation, Sybase, Inc. and others. All rights reserved.